namespace kehati.Models.Entity.Master;
using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;
[Table("ms_lokasi_fauna")]
public class LokasiFauna
{
    [Key]
    public int MsLokasiFaunaId { get; set; }
    [Column("ms_fauna_id")]
    public int MsFaunaId { get; set; }
    [Column("ms_lokasi_id")]
    public int MsLokasiId { get; set; }

    //contoh untuk one to many
    // public ICollection<Tumbuhan> Tumbuhan { get; set; } = new List<Tumbuhan>();

    //ini one to one
     [ForeignKey(nameof(MsFaunaId))]
    public Fauna Fauna { get; set; } = null!;
     [ForeignKey(nameof(MsLokasiId))]
    public Lokasi Lokasi { get; set; } = null!;

}